Deep Security Manager REST API

Path: / rest / tenanttemplate

Retrieve the current tenant template. The template is used when creating new tenants, with the new tenant getting the rules and policies set in the template.


Method Summary
ResourceDescription
GET /rest/tenanttemplate?sID=…Retrieve the current tenant template.
POST /rest/tenanttemplateCreate a new tenant template using the provided tenantId.

Method Detail
HTTP Example:
GET /rest/tenanttemplate?sID=…

API Example:

ITenantTemplateAPI.getTenantTemplate({'sID': /* sID session id. */});

Retrieve the current tenant template. The template is used when creating new tenants, with the new tenant getting the rules and policies set in the template.

Output:
TenantTemplateElement - The information about the tenant template (if any).
Query parameters:
sID - session id.
Produces:
application/xml
application/json
HTTP Example:
POST /rest/tenanttemplate

API Example:

ITenantTemplateAPI.createTenantTemplate({'$entity': /* createTenantTemplateRequest the request parameters. */});

Create a new tenant template using the provided tenantId. This new template replaces the existing template.

Input:
CreateTenantTemplateRequest - the request parameters.
Output:
CreateTenantTemplateResponse - A response with code 200 OK and a body containing a CreateTenantTemplateResponse when the template creation was successful. It will return code 400 Bad Request and a body containing an ErrorMessage when mandatory parameters are missing and/or validation fails.
Produces:
application/xml
application/json
Consumes:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.